﻿<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>

    <link rel="stylesheet" type="text/css" href="stylesheet.css" media="screen">

    <title>Introdução</title>
  </head>

<body>

    <div class="container">
        <div id="header">
            <h1>Introdução</h1>
            <h2>Visual C++ para Desenvolvimento em Linux</h2>
        </div>
    
    <table>
    <tr>    
    <div id="main_content">
        
        <td>
        <div id="lpanel">
            <h1>Configurando seu projeto para Desenvolvimento para Linux</h1>

            <p>Com essa carga de trabalho, você pode criar o código C++ para servidores, desktops e dispositivos Linux. Você pode gerenciar suas conexões com esses computadores de dentro do VS. O VS copiará suas fontes automaticamente e as compilará remotamente. Além disso, ele pode iniciar o aplicativo com o depurador. Nosso sistema de projeto dá suporte a arquiteturas de destino específicas, incluindo o ARM.</p>
            <img src="images\ArchOptions.gif"/>
            
            <h1>Conectando ao Linux</h1>
            <h2>Pré-requisitos</h2>
            <p>Hoje, há suporte para o build remoto apenas em computadores de destino Linux. Não estamos limitados há distribuições específicas do Linux, mas dependemos da presença de algumas ferramentas. Especificamente, precisamos de openssh-server, g++, gdb e gdbserver. Use seu gerenciador de pacotes favorito para instalá-las. Por exemplo, em sistemas baseados em Debian: sudo apt-get install openssh-server g++ gdb gdbserver</p>
            
            <h2>Primeira conexão</h2>
            <p>Na primeira vez em que você direcionar a um computador Linux, serão solicitadas informações de conexão. Essa solicitação será disparada durante o build do projeto.</p>
            <img src="images\firstconnection.png"/>
                
            <h2>Adicionando e removendo conexões</h2>
            <p>Para adicionar uma nova conexão, acesse Ferramentas > Opções e procure Conexão. O Gerenciador de Conexões estará em Multiplataforma. Nesse local você pode adicionar e remover conexões.</p>
            <img src="images\ManageConnections.gif"/>
            
            <p>Para alterar qual conexão um projeto está usando, acesse as configurações gerais das propriedades do projeto e atualize a opção Computador de Build Remoto.</p>
            <img src="images\ChangeRemote.gif"/>
            
            <h1>Propriedades do Project</h1>
            <p>Todas as opções necessárias para controlar a compilação do C++ estão expostas nas páginas de propriedades do projeto. Abordaremos algumas informações específicas sobre como isso funciona no Linux. Primeiro, nas configurações gerais, você verá que a raiz remota está definida como ~/projects/ por padrão e que estamos definindo o diretório do projeto remoto para que ele corresponda ao nome do projeto nesse local.</p>
            <img src="images\OutputTypes.gif"/>
            
            <p>Olhando as Configurações gerais do projeto, veja como os diretórios de saída e intermediários foram configurados. Além disso, você verá que esse projeto foi configurado como um aplicativo, portanto, o executável está em bin/x64/Debug/ como ConsoleApplication1.out. Observe que nos tipos de configuração também há suporte para bibliotecas estáticas e dinâmicas.</p>
            
            <p>Adicione outras dependências de biblioteca na página de propriedades do Vinculador > Entrada.</p>
            <img src="images\linker.png"/>
            
            <p>Você pode passar comandos de pré-inicialização ao depurador para realizar tarefas, como iniciar aplicativos gráficos no computador remoto do Linux.</p>
            <img src="images\debuggerexport.png"/>
            
            <p>Você também pode enviar eventos de pós-build para controlar o comportamento remoto, como neste exemplo que exporta um PIN gpio para ser usado sem a necessidade de executar o executável como superusuário.</p>
            <img src="images\postbuild.png"/>
            
        </div>
        </td>
        <td>
        <div id="rpanel">

            <h1>Recursos</h1>

            <p>Confira a <a href="http://aka.ms/vslinux">página VC++ para Desenvolvimento para Linux</a> onde postaremos as atualizações e forneceremos mais detalhes sobre o uso.</p>
            <h1>Fornecer comentários</h1>
            <p>Use a função de envio de comentários no Visual Studio ou entre em contato conosco por meio da <a href=" https://developercommunity.visualstudio.com/">Developer Community</a></p>
        </div>
        </td>   
    </div>
    </tr>
    </table>
    </div>
</body>
</html>
